/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.base.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.base.api.entity.User;
import com.tofly.base.entity.Menu;
import com.tofly.base.entity.System;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * 用户表
 *
 * @author admin
 * @date Thu Oct 10 00:00:00 CST 2019
 */
public interface UserService extends IService<User> {
    public User getUserById(Long id);

    public List<User> getExistUserListByRole(Long roleId);

    public List<User> getNoExistUserListByRole(Long roleId);

    public List<System> getSystemListByUser(String platform);

    public List<Menu> getMenuListByUser(String platform);

    public List<Map> getSourceByUser();

    public List<Map> getSources(Long departmentId);

    public boolean deleteUserByIds(String ids);

    public Page<Map> getUserPage(Page page,User user);

    String uploadBatchUser(MultipartFile file);

    public List<Map> getUserByMenu(String menuName);
}
